Package com.ocient.jdbc.proto

## Interface PlanProtocol.CNFOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.CNF`, `PlanProtocol.CNF.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.CNFOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`PlanProtocol.Disjunction` `getDisjunct​(int index)` `repeated .xg.db.sqlPlans.Disjunction disjunct = 1;`
`int` `getDisjunctCount()` `repeated .xg.db.sqlPlans.Disjunction disjunct = 1;`
`List<PlanProtocol.Disjunction>` `getDisjunctList()` `repeated .xg.db.sqlPlans.Disjunction disjunct = 1;`
`PlanProtocol.DisjunctionOrBuilder` `getDisjunctOrBuilder​(int index)` `repeated .xg.db.sqlPlans.Disjunction disjunct = 1;`
`List<? extends PlanProtocol.DisjunctionOrBuilder>` `getDisjunctOrBuilderList()` `repeated .xg.db.sqlPlans.Disjunction disjunct = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDisjunctList

    List<PlanProtocol.Disjunction> getDisjunctList()

`repeated .xg.db.sqlPlans.Disjunction disjunct = 1;`

#### getDisjunct

    PlanProtocol.Disjunction getDisjunct​(int index)

`repeated .xg.db.sqlPlans.Disjunction disjunct = 1;`

#### getDisjunctCount

    int getDisjunctCount()

`repeated .xg.db.sqlPlans.Disjunction disjunct = 1;`

#### getDisjunctOrBuilderList

    List<? extends PlanProtocol.DisjunctionOrBuilder> getDisjunctOrBuilderList()

`repeated .xg.db.sqlPlans.Disjunction disjunct = 1;`

#### getDisjunctOrBuilder

    PlanProtocol.DisjunctionOrBuilder getDisjunctOrBuilder​(int index)

`repeated .xg.db.sqlPlans.Disjunction disjunct = 1;`